[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResources.WriteToStream

Writes the contents of the object to a stream

## Declaration

Source position: resource.pp line 274

`public procedure TResources.WriteToStream(`
`aStream: TStream;`
`aWriter: TAbstractResourceWriter`
`);`

## Arguments

`aStream` |  | The stream to write to
`aWriter` |  | The resource writer to use to write the stream

## Description

This method writes the contents of the object to a stream via the specified TAbstractResourceWriter descendant

## See also

TAbstractResourceWriter |  | Base abstract resource writer class
TResources.WriteToFile |  | Writes the contents of the object to a file